CLAMREFACTOR.PY(1)

NAME
clamrefactor - Modifies CLAM networks in batch

SYNOPSIS
clamrefactor [-c COMMAND|-f SCRIPTFILE] network1 network2...

DESCRIPTION
This script can be used, as a command line tool or as a python module, to performs a set of high level transformations on CLAM networks. The script is useful to upgrade the network to changes on C++ code and also to perform automatized parameter changes from the commandline (not using the NetworkEditor).

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose

-q, --quiet

-f SCRIPTFILE, --file=SCRIPTFILE
    Specifies a file with commands

-c COMMAND, --command=COMMAND
    Specifies a command to be executed on the networks

-t, --test
    Runs the library test

-x, --apply
    Actually modify the files (by default they are just dumped to the screen).

AUTHOR
Written by David Garcia Garzon, Pau Arumi, Natanael Olaiz, Dirk Griffioen and Angelo Scorza.

COPYRIGHT
Copyright © 2010, Fundacio Barcelona Media.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law. Licence GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl2.html>